/******************** (C) COPYRIGHT 2005 STMicroelectronics *************************
* File Name          : Timer.c														*
* Author             : MCD Application Team											*
* Description        : This file provides GPT1 Timer2 and GPT1 Timer3 C routines.	*
*************************************************************************************

/************************************************************************************
* INCLUDES
*************************************************************************************/
#include "Timer.h"
  
/* Interrupt for the GPT1 Timer2 to switch ON or OFF the LED connected to P2.0 
(every 1.678 seconds)*/

interrupt (0x22) void timer2 (void)

{	
	 DP20=1;
     if (P20==0)
	  P20=1;
	 else
	  P20=0;
} 
/* Interrupt for the GPT1 Timer3 to switch ON or OFF the LED connected to P2.1 
(every 104.8 milliseconds)*/

interrupt (0x23) void timer3 (void)

{	
	 DP21=1;
  	 if (P21==0)
	   P21=1;
	 else
	   P21=0;  													        	      
} 



/************************************************************************************
* Function Name  : Configure_GPT1_Timer_2
* Description    : - Configures GPT1 Timer 2 in Timer mode, prescaler factor = 1024
*				   - Configures GPT1 Timer 2 Interrupt
* Input          : None.
* Return         : None.
*************************************************************************************/

void Configure_GPT1_Timer_2(void)

{
T2CON=0x0007;	               /* Timer 2 in Timer mode; T2I = 111 */                           
T2IC=0x78;			           /* Timer 2 priority, set interrupt enable bit */
}	

/*************************************************************************************
* Function Name  : Configure_GPT1_Timer_3
* Description    : - Configures GPT1 Timer 3 in Timer mode, prescaler factor = 64
				   - Configures GPT1 Timer 3 Interrupt
* Input          : None.
* Return         : None.
*************************************************************************************/
void Configure_GPT1_Timer_3(void)

{
T3CON=0x0003;                  /* Timer 3 in Timer mode; T3I = 011 */                          
T3IC=0x71;			           /* Timer 3 priority, set interrupt enable bit  */	    
}

/******************* (C) COPYRIGHT 2005 STMicroelectronics *****END OF FILE**********/ 